package com.tzld.piaoquan.risk.control.model.dto;

import lombok.Data;

import java.util.List;

@Data
public class VideoInfoDTO {
    private Integer channel;
    private String channel_content_id;
    private String content_link;
    private String wx_sn;
    private String title;
    private String content_type;
    private String body_text;
    private String location;
    private String source_url;
    private String mini_program;
    private List<String> topic_list;
    private List<ImageUrlDTO> image_url_list;
    private List<VideoUrlDTO> video_url_list;
    private String bgm_data;
    private String ad_info;
    private String voice_data;
    private String channel_account_id;
    private String channel_account_name;
    private String avatar;
    private Long item_index;
    private Long view_count;
    private Long like_count;
    private Long collect_count;
    private Long comment_count;
    private Long share_count;
    private Long looking_count;
    /**
     * 毫秒
     */
    private Long publish_timestamp;
    private Long modify_timestamp;
    private Long update_timestamp;
}
