package com.tzld.piaoquan.risk.control.model.qywx;

import com.alibaba.fastjson.JSON;
import com.alibaba.fastjson.TypeReference;

public class QwCommonResModel<T> {
    private int errcode;
    private String errmsg;
    private T data;
    // 添加静态方法：通用解析方法
    public static <T> QwCommonResModel<T> parseResponse(String json, Class<T> dataType) {
        return JSON.parseObject(
                json,
                new TypeReference<QwCommonResModel<T>>(dataType) {}
        );
    }
    public QwCommonResModel() {
    }

    public QwCommonResModel(int errcode, String errmsg, T data) {
        this.errcode = errcode;
        this.errmsg = errmsg;
        this.data = data;
    }

    public int getErrcode() {
        return errcode;
    }

    public void setErrcode(int errcode) {
        this.errcode = errcode;
    }

    public String getErrmsg() {
        return errmsg;
    }

    public void setErrmsg(String errmsg) {
        this.errmsg = errmsg;
    }

    public T getData() {
        return data;
    }

    public void setData(T data) {
        this.data = data;
    }
}
